#!/bin/sh

# Note: --line-height=24
# The font size used is 13.5pt, which is 18px on a 96dpi (1080p)
# +3px for vertical paddings (top + bottom) to match Wofi config
# The result is 24px

fuzzel \
    --font='{{ cjk_font }}:style=Regular:size={{ font_size }},{{ term_font }}:style=Regular:size={{ font_size }}' \
    --icon-theme='{{ icon_theme }}'\
    --dpi-aware=no \
    --width=54 \
    --terminal='{{ terminal[0] }}' \
    --lines=14 \
    --vertical-pad=4 \
    --horizontal-pad=10 \
    --inner-pad=4 \
    --background-color={{ background | regex_replace('^#', '') }}e6 \
    --text-color={{ white2 | regex_replace('^#', '') }}ff \
    --match-color={{ yellow | regex_replace('^#', '') }}ff \
    --selection-color={{ blue | regex_replace('^#', '') }}ff \
    --selection-text-color={{ background | regex_replace('^#', '') }}ff \
    --border-width=2 \
    --border-radius=0 \
    --border-color={{ blue | regex_replace('^#', '') }}ff \
    --line-height={{ font_size_px | int + 6 }} \
    $@
